
Figure - Bug #111939
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】【偶现】wifi流量统计中，应用的总流量与统计详情页面的总计数据不一致
2022-09-14 14:06 - CDTS_TEST 王奕

Status: CLOSED Start date: 2022-09-14

Priority: Normal Due date: 2022-10-24

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220914.alpha

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: IT Root cause: 采用不同方式进行流量的统计，导致统计数据不一致。可自动恢复。AOSP原生行为

Description

【测试版本】

FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220914.alpha

【前提条件】

连接wifi

【测试步骤】

1、进入设置 - 网络和互联网 - Wlan流量用量

2、在浏览器下载一个文件，然后回到Wlan流量用量查看流量详细数据

3、下载过程中，点击edge查看当前流量总计，然后返回，再次查看流量总计数据

4、直到下载完成，发现应用的总流量与统计详情页面的总计数据不一致

【预期结果】

4、应用的总流量与统计详情页面的总计数据一致

【实际结果】

4、下载完成，发现应用的总流量与统计详情页面的总计数据不一致

【复现率】

2/10（重启设备后恢复）

【日志】

日志见附件

History

#1 - 2022-09-14 14:10 - CDTS_TEST 王奕

- Category set to CD-FW

#2 - 2022-09-16 18:28 - CD FW-程天颖

- Due date set to 2022-09-21

- Status changed from New to ASSIGNED

#3 - 2022-09-21 09:59 - CD FW-王伟

- Assignee changed from CD FW-程天颖 to CD- FW-石豪
#4 - 2022-09-26 18:33 - CD FW-王伟

- Target version set to VX1_MCE_FSE_V3.0_update_20221130

#5 - 2022-09-27 15:27 - CDTS_TEST 王成

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V3.0_20221030

#6 - 2022-10-11 19:57 - CD- FW-石豪

本地测试以及查看源代码分析

1、WLAN流量用量 界面调用的接口为 public NetworkStats querySummary(NetworkTemplate template, long startTime,

              long endTime) 

设置对该界面的处理逻辑是先获取总的流量再根据uid进行细分。

2、流量统计 界面调用的接口为 public NetworkStats queryDetailsForUidTagState(int networkType, String subscriberId,

              long startTime, long endTime, int uid, int tag, int state)

设置对该界面的处理逻辑为直接根据uid查流量。但是这个接口的流量统计时间颗粒度比较大

/**

381       * Query network usage statistics details for a given uid, tag, and state. Only usable for uids

382       * belonging to calling user. Result is not aggregated over time. This means buckets' start and

383       * end timestamps are going to be between 'startTime' and 'endTime' parameters. The uid is going

384       * to be the same as the 'uid' parameter, the tag the same as the 'tag' parameter, and the state

385       * the same as the 'state' parameter.

386       * defaultNetwork is going to be {@link NetworkStats.Bucket#DEFAULT_NETWORK_ALL},

387       * metered is going to be {@link NetworkStats.Bucket#METERED_ALL}, and

388       * roaming is going to be {@link NetworkStats.Bucket#ROAMING_ALL}.       * <p>*Only includes buckets that atomically occur in the inclusive time range. Doesn't 

     * interpolate across partial buckets. Since bucket length is in the order of hours, this       * method cannot be used to measure data usage on a fine grained time scale*.       *

This may take a long time, and apps should avoid calling this on their main thread.

根据代码注解，不能用来测量时间颗粒度较小的流量统计，统计周期以小时为单位。因此两个界面是有概率存在流量统计不一致的情况，出现这种情况

需要等待1小时，再进页面就会恢复。

根据以上分析，这个是aosp的原生行为，这边建议维持原有设计，不做处理

#7 - 2022-10-11 20:02 - CD- FW-石豪

- Assignee changed from CD- FW-石豪 to CD Test赵飞

- Resolution changed from -- to MOVE TO CQ

- Root cause set to 采用不同方式进行流量的统计，导致统计数据不一致。可自动恢复。AOSP原生行为

#8 - 2022-10-20 17:01 - CDTS-TEST 周婷

- Assignee changed from CD Test赵飞 to CD- FW-石豪

请更改为正确得bug 状态，谢谢

#9 - 2022-10-21 10:48 - CDTS-TEST 周婷

- Due date changed from 2022-09-21 to 2022-10-24

#10 - 2022-10-21 10:53 - CD- FW-石豪

- Assignee changed from CD- FW-石豪 to CD TPM-王祥林

2025-07-04 2/3



#11 - 2022-10-21 11:04 - CD TPM-王祥林

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD TPM-王祥林 to CDTS-TEST 周婷

- % Done changed from 0 to 100

- Resolution changed from MOVE TO CQ to WONTFIX

同意不处理此问题，理由如下：

原生逻辑，用户影响度小，可以自动恢复，修改此问题风险大于收益。

#12 - 2022-10-24 14:52 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Assignee changed from CDTS-TEST 周婷 to CD TEST-方永红

10.24 讨论过后决定先关闭

#13 - 2022-10-24 14:52 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
